#!/bin/bash

CONFFILE=/etc/robotino/autostart.conf
LOGFILE=/var/log/autostart

export DISPLAY=":0"

if [ -f /run/user/1000/gdm/Xauthority ] ; then
  export XAUTHORITY=/run/user/1000/gdm/Xauthority
else
  export XAUTHORITY=/home/robotino/.Xauthority
fi

rm $LOGFILE || true

grep enabled=true $CONFFILE 1>/dev/zero
if [ 0 -eq $? ] ; then
  file=`grep program= $CONFFILE | gawk 'BEGIN { FS = "=" } ; { print $2 }'`
  program="/home/robotino/programs/$file"
  if [ -f "$program" ] ; then
    robtopic echo odometry 100
    while [ $? -ne 0 ]
    do
      robtopic echo odometry 100
    done

    xterm -l -lf $LOGFILE -display ":0" -T "Autostart" -geometry 100x50+0+0 -e "/opt/robview3/bin/robview3_interpreter -f \"$program\""
  else
    echo $program does not exist >> $LOGFILE
  fi
else
  echo "Autostart disabled" >> $LOGFILE
fi
